/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/
#pragma once

#include "include/fb_generated.h"
#include "policy.hpp"

#include <ostream>

namespace print_content {
void use_xml_format(const bool xml);
}

namespace FB {
const unsigned int FB_ID_OFFSET = 4;
const unsigned int FB_ID_SIZE = 4;

std::ostream &operator<<(std::ostream &stream, const FB::File &file);
}

namespace ldp_xml_parser {
std::ostream &operator<<(std::ostream &stream, const ldp_xml_parser::DecisionItem &item);

std::ostream &operator<<(std::ostream &stream, const ldp_xml_parser::ItemOwn &item);
std::ostream &operator<<(std::ostream &stream, const ldp_xml_parser::ItemSend &item);
std::ostream &operator<<(std::ostream &stream, const ldp_xml_parser::ItemReceive &item);
std::ostream &operator<<(std::ostream &stream, const ldp_xml_parser::ItemAccess &item);

std::ostream &operator<<(std::ostream& stream, const ldp_xml_parser::MatchItemOwn &item);
std::ostream &operator<<(std::ostream& stream, const ldp_xml_parser::MatchItemSend &item);
std::ostream &operator<<(std::ostream& stream, const ldp_xml_parser::MatchItemReceive &item);
std::ostream &operator<<(std::ostream& stream, const ldp_xml_parser::MatchItemAccess &item);
}
