/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/
#pragma once

#include "include/fb_generated.h"
#include "policy.hpp"

inline ldp_xml_parser::Decision makeDecision(FB::Decision d) {
	return static_cast<ldp_xml_parser::Decision>(d);
}

inline ldp_xml_parser::DecisionItem makeDecisionItem(const FB::DecisionItem *di) {
	return ldp_xml_parser::DecisionItem(makeDecision(di->decision()), di->privilege()->c_str());
}

inline ldp_xml_parser::BusAccessType makeBusAccessType(FB::BusAccessType type) {
	return static_cast<ldp_xml_parser::BusAccessType>(type);
}

inline ldp_xml_parser::MessageType makeMessageType(FB::MessageType type) {
	return static_cast<ldp_xml_parser::MessageType>(type);
}
