/* Author: Kazimierz Krosman */
#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>

uint64_t test_cases_mask = ~(0ULL);
int test_count = 0;

void assert_printf(int res, int tc,  const char* value, int line, const char* file)
{
	if (res) {
		printf("[r][%d]1\n", tc);
	} else {
		printf("[r][%d]0\n", tc);
		fprintf(stderr, "[r][%d]0<-w=%s, line=%d, file=%s\n", tc, value, line, file);
	}
}

void prepare_mask(int argc, char* argv[])
{
	if (argc > 1) {
		int i = 1;
		test_cases_mask = 0;
		for (; i < argc; i++) {
			int val = strtol(argv[i], NULL, 10);
			if (val >= 0)
				test_cases_mask |= (1<<val);
		}
	}
	return;
}
