/* Author: Kazimierz Krosman */
#include <stdio.h>
#include <sys/types.h>
#include <stdlib.h>
#include <string.h>
#include <dbuspolicy1/libdbuspolicy1.h>
#include <assert.h>
#include "stest_common.h"

#define NEGATIVE_MATCH "negative"
#define COUNT 1000

void __dbuspolicy1_change_creds(uid_t uid, gid_t gid, const char* label);

int main(int argc, char* argv[])
{
	void* c = NULL;
	int desired_result = 1;
	int i;

	assert(argc > 0);

	if (!strncmp(argv[0], NEGATIVE_MATCH, sizeof(NEGATIVE_MATCH)-1))
		desired_result = 0;

	printf("---desired result: %d %s\n\n", desired_result, argv[0]);
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wdeprecated-declarations"
	c = dbuspolicy1_init("/sys/fs/kdbus/0-system/bus");
#pragma GCC diagnostic pop
	assert(c != NULL);

	__dbuspolicy1_change_creds(200, 0, "L");

	for (i = 0; i < COUNT; i++) {
		int result = dbuspolicy1_check_in(c, "org.freedesktop.systemd1", "cynara.sender",
				"L", 200, 0, NULL, "cynara.interface", "cynara.method",
				DBUSPOLICY_MESSAGE_TYPE_METHOD_CALL, "", 0, 0);
		assert(result == desired_result);
	}
	printf("[r][0]1\n");
	return 0;
}
